package com.gingersoft.gsa.cloud.ui.utils;

import java.util.List;

/**
 * 作者：ELEGANT_BIN
 * 版本：1.6.0
 * 创建日期：2019/3/14
 * 修订历史：2019/3/14
 * 描述：
 */
public class MathUtils {

    /**
     * 在一組数据内，找相近的数
     *
     * @param list
     * @param targetNum 接近的数字
     */
    public static int findRecentNum(List<Integer> list, int targetNum) {
        // 差值实始化
        int diffNum = Math.abs(list.get(0) - targetNum);
        // 最终结果
        int result = list.get(0);
        for (Integer integer : list) {
            int diffNumTemp = Math.abs(integer - targetNum);
            if (diffNumTemp < diffNum) {
                diffNum = diffNumTemp;
                result = integer;
            }
        }
        return result;
    }
}
